Package org.eclipse.graphiti.ui.internal.parts.directedit

## Class ContentProposal

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.parts.directedit.ContentProposal

All Implemented Interfaces:
  `org.eclipse.jface.fieldassist.IContentProposal`

    public class ContentProposal
    extends java.lang.Object
    implements org.eclipse.jface.fieldassist.IContentProposal

### Constructor Summary

Constructors
`ContentProposal​(IDirectEditHolder directEditHolder, int cursorPosition, java.lang.String currentText, java.lang.String proposalText, IProposal proposal, java.lang.String description)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getContent()`
`int` `getCursorPosition()`
`java.lang.String` `getDescription()`
`java.lang.String` `getLabel()`
`IProposal` `getProposal()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentProposal

    public ContentProposal​(IDirectEditHolder directEditHolder,
                           int cursorPosition,
                           java.lang.String currentText,
                           java.lang.String proposalText,
                           IProposal proposal,
                           java.lang.String description)

### Method Detail

#### getContent

    public java.lang.String getContent()

Specified by:
  `getContent` in interface `org.eclipse.jface.fieldassist.IContentProposal`

#### getCursorPosition

    public int getCursorPosition()

Specified by:
  `getCursorPosition` in interface `org.eclipse.jface.fieldassist.IContentProposal`

#### getDescription

    public java.lang.String getDescription()

Specified by:
  `getDescription` in interface `org.eclipse.jface.fieldassist.IContentProposal`

#### getLabel

    public java.lang.String getLabel()

Specified by:
  `getLabel` in interface `org.eclipse.jface.fieldassist.IContentProposal`

#### getProposal

    public IProposal getProposal()

Returns:
  the proposel